Konsole zeigt falsche Version an.

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Konsole zeigt falsche Version an. gibt es 6 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • Konsole zeigt falsche Version an.

    Hallo!
    Heute ist mir zum ersten Mal aufgefallen :whistling: , dass beim Wechsel von der Gnome-shell mit

    Quellcode

    1. Strg-Alt-F1




    die falsche Opensuseversion als Begrüßung angezeigt wird. Ich benutze Leap 15.0

    cat /etc/issue

    Quellcode

    1. linux-6436:~ # cat /etc/issue
    2. Welcome to openSUSE Leap 42.3 - Kernel \r (\l).
    Kernelversion wird richtig angezeigt.

    Quellcode

    1. linux-6436:~ # cat /proc/version
    2. Linux version 4.12.14-lp150.12.61-default (geeko@buildhost) (gcc version 7.4.0 (SUSE Linux) ) #1 SMP Tue May 14 18:07:55 UTC 2019 (83c1242)
    /etc/issue wurde am 9.8.2018 erstellt. An dem Tag hatte ich folgende Pakete installiert.

    Quellcode

    1. 2018-08-09 18:15:38|command|root@linux-6436.casamini|'/usr/bin/zypper' '--non-interactive' '--quiet' 'patch' '--with-interactive' '--auto-agree-with-licenses' '--recommends'|
    2. 2018-08-09 18:15:39|install|polkit-gnome|0.105-17.4.1|x86_64||RePo-Update|2012353ece431be8a520fd78b23208c04bda82d15691c2bb19929dfe27f10b01|
    3. 2018-08-09 18:15:40|install|polkit-gnome-lang|0.105-17.4.1|noarch||RePo-Update|351c78259e40c83518d1002d21d1bf79a0543928e10c7b5bf96f29afa0a8e536|
    4. 2018-08-09 21:45:54|command|root@linux-6436.casamini|'/usr/lib/packagekitd'|
    5. 2018-08-09 21:45:56|install|libavutil54|2.8.15-6.1|x86_64||RePo-Update|ae27514eb09868b1810fe70fc1dabd9b8ea8161067bbaa694b8ec87aedbdbeda|
    6. 2018-08-09 21:45:57|install|libavutil56|4.0.1-10.1|x86_64||RePo-Update|492022ae75d389af528b8e99885ce98598573fc607e647ca4447f4726b609975|
    7. 2018-08-09 21:45:58|install|libswresample1|2.8.15-6.1|x86_64||RePo-Update|6134a7f09c35c30e67ef03a88788d4db5818dc871f7e1b6eff8f29c55bb88573|
    8. 2018-08-09 21:45:58|install|libswresample3|4.0.1-10.1|x86_64||RePo-Update|afef67547dc3e2f5283c272347add9f3059ef8c889d15bbe2f6733881395bf66|
    9. 2018-08-09 21:45:59|install|libavcodec56|2.8.15-6.1|x86_64||RePo-Update|4cba16e3bb59c150fe3683595d66ff7d5627292464b684c76b77f1951433641f|
    10. 2018-08-09 21:46:00|install|libavcodec58|4.0.1-10.1|x86_64||RePo-Update|4d16f132673cb402894bfeeefb916e902d8a220037b6566eabd688bff64de934|
    11. 2018-08-09 21:46:01|install|libavformat56|2.8.15-6.1|x86_64||RePo-Update|d226b4f226404da47ec6e2abd7a2e95236e0466341f6b9ab786e8d22414f5962|
    12. 2018-08-09 21:46:02|install|libavformat58|4.0.1-10.1|x86_64||RePo-Update|54ec23fdf6f831e28f7149c595f275e9a6993c9fbe15539d1c50ee6a6d578e80|
    Alles anzeigen
    Das Update auf 15.0 machte ich am 27.8.2018 durch Repos umbenennen und Systemaktualisierung.

    Quellcode

    1. 2018-08-27 12:50:25|command|root@linux-6436.casamini|'/usr/bin/ruby' '/usr/lib/YaST2/bin/y2start' 'update' 'qt' '-name' 'YaST2' '-icon' 'yast'|
    2. 2018-08-27 12:52:21|command|root@linux-6436.casamini|'/usr/bin/ruby' '/usr/lib/YaST2/bin/y2start' 'update' 'qt' '-name' 'YaST2' '-icon' 'yast'|
    3. 2018-08-27 13:05:19|radd |Haupt|http://download.opensuse.org/distribution/leap/15.0/repo/oss/|
    4. 2018-08-27 13:05:19|radd |Quellen_15.0|http://download.opensuse.org/source/distribution/leap/15.0/repo/oss/|
    5. 2018-08-27 13:05:19|radd |RePo-Update_15.0|http://download.opensuse.org/update/leap/15.0/oss/|
    6. 2018-08-27 13:05:19|radd |RePo_(Non-Oss)_15.0|http://download.opensuse.org/distribution/leap/15.0/repo/non-oss/|
    7. 2018-08-27 13:05:19|radd |Update_(Non-Oss)_15.0|http://download.opensuse.org/update/leap/15.0/non-oss/|
    8. 2018-08-27 13:05:19|radd |Debug_(Non-Oss)_15.0|http://download.opensuse.org/debug/distribution/leap/15.0/repo/non-oss/|
    9. 2018-08-27 13:05:19|radd |Debug_15.0|http://download.opensuse.org/debug/distribution/leap/15.0/repo/oss/|
    Jetzt zu meiner Frage. Welches Prog schreibt /etc/issue? Warum wurde die nicht aktualisiert? Liegt da vl. noch was anderes im Argen?
    Danke schon mal im voraus.

    Für den Inhalt des Beitrages 133741 haftet ausdrücklich der jeweilige Autor: Rhiller

  • Ok, habe die Lösung gefunden.

    Version in /etc/issue

    Quellcode

    1. openSUSE Leap 42.3

    durch die Variable

    Quellcode

    1. \S
    ersetzt. Jetzt ist alles wieder schick.

    Trotzdem muss da jemand sein Finger im Spiel gehabt haben. Komisch.

    Für den Inhalt des Beitrages 133743 haftet ausdrücklich der jeweilige Autor: Rhiller

  • Poste einfach einmal:

    Quellcode

    1. zypper se -si opensuse-release
    Könnte ein Überbleibsel aus 42.3 sein.....
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 133752 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Brainfuck-Quellcode

    1. linux-6436:~ # zypper se -si opensuse-release
    2. Loading repository data...
    3. Reading installed packages...
    4. S | Name | Type | Version | Arch | Repository
    5. ---+----------------------+---------+------------------+--------+-----------------------
    6. i+ | openSUSE-release | package | 15.0-lp150.129.1 | x86_64 | openSUSE-Leap-15.0-Oss
    7. i+ | openSUSE-release-dvd | package | 15.0-lp150.129.1 | x86_64 | (System Packages)
    8. i+ | openSUSE-release-ftp | package | 15.0-lp150.129.1 | x86_64 | openSUSE-Leap-15.0-Oss

    Für den Inhalt des Beitrages 133759 haftet ausdrücklich der jeweilige Autor: Rhiller